<?php

    $usr   = 'USERNAME';     // database username
    $pw    = 'PASSSWORD';    // database password
    $host  = 'localhost';    // MySQL server (frequently 'localhost')
    $db    = 'DATABASE';     // database name
    $table = 'geocounter';   // the name of the table you want to create

     $ip = $_SERVER['REMOTE_ADDR'];
     $results=curl_get_file_contents("http://api.hostip.info/get_html.php?ip=$ip&position=true"); //catch errors later

     //parse response
     preg_match('/Latitude: (.*)/', $results, $lat);
     preg_match('/City: (.*)/', $results, $city);
     preg_match('/Longitude: (.*)/', $results, $lon);


     if($lon[1]=="" || $lat[1]==""){
          // do nothing
     } else {
          dbConnect($db,$usr,$pw,$host);
          @mysql_query("insert into $table set time=NOW(), lat='$lat[1]', lon='$lon[1]', city='$city[1]'");
      }


    function curl_get_file_contents($URL) {
        $c = curl_init();
        curl_setopt($c, CURLOPT_RETURNTRANSFER, 1);
        curl_setopt($c, CURLOPT_URL, $URL);
        $contents = curl_exec($c);
        curl_close($c);
        if ($contents) { return $contents; } else { return FALSE; }
    }


    function dbConnect($db,$usr,$pw,$host) {
        if (!$linked = @mysql_connect($host,$usr,$pw)) {
            echo '<!--failed to connect to mysql-->';
            return false;
        }
        @mysql_select_db($db);
        return true;
    }

 /*

    Based on GeoCounter version 0.1
    http://www.hostip.info/contrib/index.html
    Original authors: Hutch Ingold ( hutch.ingold@gmail.com ), Michael Bekaert

    This version customized by John Emerson

    This script is made available under the terms of the GPL (http://www.gnu.org/copyleft/gpl.html)

    Credits:
             Georeferencing Ip addresses through http://hostip.info

    Synopsis:
             This counter attempts to translate hits into physical locations,
             displaying them as dots on a map of the world. This allows a better
             visualization of from whence hits are comming.

    Usage:
             Hit this script from the page in question to log latitude and 
             longitude to your database.

             If you want to measure just one specific file, you add this to the
             bottom of the page after the </html> tag:
                 <?php include('/pathname/to/geocounter.php'); ?>
                 
             I suggest putting at the end because the hostip.info API takes a
             second to respond and you don't want slow down the loading of your
             HTML page.


             If you serve up pages with a .html extension, you may need to use
             a .htaccess file. Create a file called .htaccess or edit your
             existing .htaccess file in the topmost directory that serves pages
             on your site, and add the following code and save:

                AddType application/x-httpd-php .html .htm
                php_value auto_prepend_file /pathname/to/geocounter.php
             
             In both cases, your should edit /pathname/to/geocounter.php
             to reflect the directory of your web server.
             
             Enjoy!

 */
?>